Name:           perl-autobox
Version:        3.0.1
Release:    1%{?dist}
Summary:        Call methods on native types
License:        Artistic-2.0
URL:            https://metacpan.org/release/autobox
Source0:        https://cpan.metacpan.org/modules/by-module/autobox/autobox-v%{version}.tar.gz
BuildRequires:  coreutils
BuildRequires:  findutils
BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  perl-devel
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(Config)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(Carp)
BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(Scope::Guard) >= 0.21
BuildRequires:  perl(Storable)
BuildRequires:  perl(strict)
BuildRequires:  perl(version) >= 0.77
BuildRequires:  perl(warnings)
BuildRequires:  perl(XSLoader)
BuildRequires:  perl-debugger
BuildRequires:  perl(blib)
BuildRequires:  perl(FindBin)
BuildRequires:  perl(IPC::System::Simple) >= 1.25
BuildRequires:  perl(lib)
BuildRequires:  perl(Test::Fatal) >= 0.014
BuildRequires:  perl(Test::More)
BuildRequires:  perl(vars)
BuildRequires:  perl(Test::Pod) >= 1.00
Requires:       perl(Scope::Guard) >= 0.21

%{?perl_default_filter}

%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}perl\\(Scope::Guard\\)$

%description
The autobox pragma allows methods to be called on integers, floats,
strings, arrays, hashes, and code references in exactly the same manner as
blessed references.

%prep
%setup -q -n autobox-v%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}" NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{make_install}
find %{buildroot} -type f -name '*.bs' -empty -delete
%{_fixperms} -c %{buildroot}

%check
make test

%files
%license LICENSE.md
%doc Changes README
%{perl_vendorarch}/auto/autobox/
%{perl_vendorarch}/autobox/
%{perl_vendorarch}/autobox.pm
%doc %{perl_vendorarch}/autobox.pod
%{_mandir}/man3/autobox.3*

%changelog
* Wed Jul 24 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.0.1-1
- initial build
